@import "../../../assets/styles/main.scss";

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(rem(5));
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.tooltipWrapper {
  display: inline-block;
  position: relative;
  width: fit-content;
  @include vertical_align_center;
  cursor: help;
}

.tooltip {
  position: absolute;
  color: getColorHex("white");
  border-radius: rem(4);
  font-size: rem(14);
  z-index: 100;
  box-shadow: rem(0 2 4) #180d221f;
  opacity: 0;
  animation: fadeIn 0.3s ease forwards;
  width: rem(230);
  word-wrap: break-word;
  border: 1px solid #a9a9a9;

  &::after {
    content: "";
    position: absolute;
    border-style: solid;
    width: 0;
    height: 0;
  }

  .headerToolTip {
    background: #686868;
    padding: 9.5px 10px;
    border-radius: 4px 4px 0 0;
    h4 {
      @include inter400;
      font-size: 12px;
      line-height: 18px;
      text-align: left;
      color: getColorHex("white");
    }
  }
  .headerToolContent {
    p {
      background: white;
      padding: 10px 0 0 10px;
      @include inter400;
      font-size: 14px;
      line-height: 18px;
      text-align: left;
      color: #000000;
      min-height: 91px;
    }
  }
}

/* Adjustments for arrow positions*/

.tooltip.right {
  top: 50%;
  right: 100%;
  margin-right: rem(10);
  transform: translateY(-50%) translateX(rem(-5));

  &::after {
    top: 50%;
    left: 100%;
    margin-top: rem(-5);
    border-width: rem(5);
    border-color: transparent transparent transparent #555;
  }
}

.tooltip.left {
  top: 50%;
  left: 100%;
  margin-left: rem(10);
  transform: translateY(-50%) translateX(rem(5));

  &::after {
    top: 50%;
    right: 100%;
    margin-top: rem(-5);
    border-width: rem(5);
    border-color: transparent #555 transparent transparent;
  }
}

.tooltip.top {
  bottom: 100%;
  left: -113px;
  transform: translateX(-50%) translateY(rem(-5));
  margin-bottom: rem(10);
  border-radius: 4px 4px 0 0;

  &::after {
    bottom: 100%;
    left: 53%;
    margin-left: rem(-5);
    border-width: rem(5);
    border-color: white transparent transparent transparent;
    bottom: rem(-10);
  }
}

.tooltip.bottom {
  top: 100%;
  left: 0%;
  transform: translateX(-50%) translateY(rem(-5));
  margin-top: rem(10);

  &::after {
    top: rem(-10);
    left: 10%;
    margin-left: rem(-5);
    border-width: rem(5);
    border-color: transparent transparent #555 transparent;
  }
}
